<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head th:insert="fragments/head :: head(title='Fridge products')"></head>
<body>
<div th:insert="fragments/navbar :: navbar"></div>
<link type="text/css" href="/css/DataTables/datatables.min.css" rel="stylesheet">
<script type="text/javascript" src="/js/DataTables/datatables.min.js"></script>

<div class="container-fluid py-3">
    <button type="button" class="btn btn-warning" data-bs-toggle="modal"
            data-bs-target="#saveFridgeProductModal" data-bs-whatever="">
        Update product in fridge
    </button>
</div>

<div class="container-fluid py-3" th:if="${fridgeProducts}">
    <div class="table-wrapper">
        <table class="table table-striped " id="productTable">
            <thead class="table-dark sticky-md-top">
            <tr>
                <th class="text-center">id</th>
                <th class="text-center">name</th>
                <th class="text-center">price</th>
                <th class="text-center">measure</th>
                <th class="text-center">category</th>
                <th class="text-center">amount</th>
                <th class="text-center"></th>
            </tr>
            </thead>
            <tbody>

            <tr th:each="product : ${fridgeProducts}">
                <td class="text-center align-middle" th:text="${product.id}"></td>
                <td class="text-center align-middle" th:text="${product.name}"></td>
                <td class="text-center align-middle" th:text="${product.price}"></td>
                <td class="text-center align-middle" th:text="${product.measure}"></td>
                <td class="text-center align-middle" th:text="${product.category}"></td>
                <td class="text-center align-middle" th:text="${product.amount}"></td>

                <td class="text-center">
                    <input class="btn btn-primary" data-bs-toggle="modal"
                           type="button" data-bs-target="#saveFridgeProductModal"
                           th:data-bs-whatever="${product.id} + '|' + ${product.name} + '|' + ${product.price} + '|' + ${product.measure.title} + '|' + ${product.category.title} + '|' + ${product.amount}"
                           value="Edit">
                </td>
            </tr>

            </tbody>
        </table>
    </div>
</div>

<div class="modal fade" id="saveFridgeProductModal" tabindex="-1" aria-labelledby="Save fridge product Modal"
     aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="modalFridgeLabel">Save product</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>

            <div id="messageFridgeProductModal" class="alert alert-success" role="alert" style="display: none;">
            </div>
            <div id="errorsFridgeProductModal" class="alert alert-danger" role="alert" style="display: none;">
            </div>

            <div class="modal-body">
                <div id="newFridgeSave">
                    <div class="col-auto mb-2" th:if="${enableProducts}">
                        <label for="measureSave" class="col-form-label">Product</label>
                        <select class="form-select" id="newProductIdSave">
                            <option th:each="product : ${enableProducts}" th:value="${product.id}"
                                    th:text="${product.id} + ':' + ${product.name} + ' (' + ${product.measure.title} + ' ) price:' + ${product.price}">
                            </option>
                        </select>
                    </div>
                </div>

                <div id="editFridgeSave">
                    <div class="col-auto mb-2">
                        <label class="col-form-label">Name:</label>
                        <label class="col-form-label fw-bold" id="nameFridgeSave"></label>
                    </div>
                    <div class="col-auto mb-2">
                        <label class="col-form-label">Price:</label>
                        <label class="col-form-label fw-bold" id="priceFridgeSave"></label>
                    </div>
                    <div class="col-auto mb-2">
                        <label class="col-form-label">Measure:</label>
                        <label class="col-form-label fw-bold" id="measureFridgeSave"></label>
                    </div>
                    <div class="col-auto mb-2">
                        <label class="col-form-label">Category: </label>
                        <label class="col-form-label fw-bold" id="categoryFridgeSave"></label>
                    </div>
                </div>

                <form method="post" id="formFridgeProductSave">
                    <div class="col-auto mb-2">
                        <label for="amountFridgeProductSave" class="col-form-label">Amount:</label>
                        <input type="text" class="form-control" id="amountFridgeProductSave" name="amount">
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                        <input type="hidden" id="productIdSave" name="productId">
                        <input type="button" class="btn btn-danger" value="Delete" id="delFridgeProductBtn">
                        <input type="button" class="btn btn-primary" value="Save" id="saveFridgeProductBtn">
                    </div>
                </form>

            </div>
        </div>
    </div>
</div>

<script th:src="@{/js/fridge.js}" type="text/javascript"></script>

</body>
</html>